<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.AudioManagementMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.AudioManagement">
        <id column="id" property="id" />
        <result column="recording_name" property="recordingName" />
        <result column="recording_time" property="recordingTime" />
        <result column="sales_id" property="salesId" />
        <result column="sales_name" property="salesName" />
        <result column="duration" property="duration" />
        <result column="customer_id" property="customerId" />
        <result column="customer_name" property="customerName" />
        <result column="customer_phone" property="customerPhone" />
        <result column="upload_time" property="uploadTime" />
        <result column="intention_level" property="intentionLevel" />
        <result column="dealership_id" property="dealershipId" />
        <result column="dealership_name" property="dealershipName" />
        <result column="project_id" property="projectId" />
        <result column="project_name" property="projectName" />
        <result column="script_model" property="scriptModel" />
        <result column="upload_status" property="uploadStatus" />
        <result column="sync_status" property="syncStatus" />
        <result column="is_merged" property="isMerged" />
        <result column="remarks" property="remarks" />
        <result column="company_type" property="companyType" />
        <result column="edit_status" property="editStatus" />
        <result column="edit_time" property="editTime" />
        <result column="info_card_type" property="infoCardType" />
        <result column="info_card_description" property="infoCarddescription" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="audio_file_path" property="audioFilePath" />
        <result column="audio_file_url" property="audioFileUrl" />
        <result column="audio_file_size" property="audioFileSize" />
        <result column="audio_file_original_name" property="audioFileOriginalName" />
        <result column="audio_file_extension" property="audioFileExtension" />
        <result column="recording_text" property="recordingText" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, recording_name, recording_time, info_card_description, sales_id, sales_name, duration, customer_id, customer_name, customer_phone, upload_time, intention_level, dealership_id, dealership_name, project_id, project_name, script_model, upload_status, sync_status, is_merged, remarks, company_type, edit_status, edit_time, info_card_type, info_card_value, create_time, update_time, audio_file_path, audio_file_url, audio_file_size, audio_file_original_name, audio_file_extension, recording_text
    </sql>

</mapper>
